<?php

namespace ZenoChatbot\Services\LLMService\AIClient\Providers\Adapters;

use ZenoChatbot\Services\LLMService\AIClient\Config\AiConfig;
use ZenoChatbot\Services\LLMService\AIClient\Results\GenerativeAiResult;

if (!defined('ABSPATH')) {
    exit;
}

interface AdapterInterface
{
    public function generate(array $input, AiConfig $config): GenerativeAiResult;
}

